## git-buildpackage 0.9.35

=== Makefile ===
PY_EXAMPLES=$(shell grep -l /usr/bin/python examples/*)
FLAKE_OPTS=$(shell test -w /dev/shm || echo '-j1')
NOSE_OPTS=--with-xcoverage
TEST_LOCALE?=C.UTF-8

SH_SCRIPTS = \
  packaging/run-in-container \
  $(NULL)

all: syntax-check test

all+net:
	GBP_NETWORK_TESTS=1 $(MAKE) all

test:
	export HOME=/nonexisting;                       \
	export GIT_AUTHOR_NAME="Gbp Tests";		\
	export GIT_AUTHOR_EMAIL=tests@example.com;	\
	export GIT_COMMITTER_NAME=$$GIT_AUTHOR_NAME;	\
	export GIT_COMMITTER_EMAIL=$$GIT_AUTHOR_EMAIL;	\
	export DEBEMAIL=$$GIT_AUTHOR_EMAIL;             \
	PYTHONPATH=.					\
	LC_ALL=$(TEST_LOCALE)                           \
	python3 -m pytest

syntax-check:
	flake8 $(FLAKE_OPTS)
	flake8 $(FLAKE_OPTS) $(PY_EXAMPLES)

type-check:
	mypy gbp

shell-check:
	@echo "# Validating zsh completion"
	zsh debian/zsh/_gbp
	@echo "# Validating bash completion"
	shellcheck --shell=bash debian/git-buildpackage.bash-completion
	shellcheck $(SH_SCRIPTS)

docs:
	$(MAKE) -C docs
	$(MAKE) apidocs

apidocs:
	mkdir -p build

.PHONY: docs

=== debian/changelog ===
git-buildpackage (0.9.35) unstable; urgency=medium

  [ Guido Günther ]
  * [09d65cb] Use pythons builtin mock
  * [360222d] d/control: Let Vcs-* point to salsa
  * [ca70762] import: Use debian/latest.
    It's the recommended layout
  * [4dc9a6c] docs: Prefer debian/latest over debian/sid.
    This is more widespread nowadays and ensures the latest upstream
    version is always in the repositories default branch.
  * [a88e01e] Drop completely outdated tox.ini
  * [5c8f1af] Drop travis CI file.
    We use salsa's CI and haven't used travis CI since ages.
  * [8e494cb] tests: Merge the repository doctests.
    We use a single doctest as module scoped fixtures can't be used with
    doctests in pytest
  * [d21fead] tests: Merge the pristine-tar doctests.
    We use a single doctest as module scoped fixtures can't be used with
    doctests in pytest
  * [33f4884] build: Run tests through pytest.
    We still use nose's assertions. See
    https://github.com/pytest-dev/nose2pytest on how to convert those in the
    future so can't drop the dependency yet.
    Closes: #1080224
    Helps: #1018367
  * [a553f93] rpm: Mark two tests as xfail.
    Needs debugging why they regressed as there weren't any changes in that
    area recently.
  * [54bec6e] tests/component: Fix skipping tests when submodules are no
    present.  Rework the logic to work with pytest instead of nose
  * [3a87c05] tests/component/rpm: Fix skipping tests with pytest.
    Rework the logic to work with pytest instead of nose

  [ Ferenc Wágner ]
  * [aa468c0] dscfile.py: decide native/non-native based on diff presence, not
    version format. Source format 1.0 native packages with a hyphen in their
    version number were mistaken by the original code for non-native.
  * [1fecdcd] 12_test_deb: add test for native 1.0 DSC with Debian revision

 -- Guido Günther <agx@sigxcpu.org>  Tue, 24 Sep 2024 07:59:14 +0200

=== debian/control ===
Source: git-buildpackage
Section: vcs
Priority: optional
Maintainer: Guido Günther <agx@sigxcpu.org>
Build-Depends:
 bash-completion (>= 1:2.1-4.2~),
 debhelper-compat (= 13),
 dh-python,
 dh-sequence-bash-completion,
 dh-sequence-python3,
 docbook2x,
 flake8,
 gtk-doc-tools,
 libdistro-info-perl,
 perl,
 pydoctor,
 python3,
 python3-pytest-cov,
 python3-dateutil,
 python3-filelock,
 python3-nose,
 python3-pkg-resources,
 python3-rpm,
 python3-setuptools,
 python3-yaml,
 xsltproc,
# For the testsuite
 bzip2 <!nocheck>,
 cpio <!nocheck>,
 devscripts (>= 2.17.7~) <!nocheck>,
 git (>= 1:2.40.1) <!nocheck>,
 pristine-tar (>= 1.14) <!nocheck>,
 rpm (>= 4.16.1) <!nocheck>,
 unzip <!nocheck>,
 zipmerge <!nocheck>,
# For the network tests
 curl <!nocheck>,
 python3-requests <!nocheck>,
# For shell validation
 shellcheck <!nocheck>,
 zsh <!nocheck>,
Standards-Version: 4.6.1
Vcs-Git: https://salsa.debian.org/agx/git-buildpackage.git
Vcs-Browser: https://salsa.debian.org/agx/git-buildpackage/
Homepage: https://honk.sigxcpu.org/piki/projects/git-buildpackage/
Rules-Requires-Root: no
X-Python3-Version: >= 3.7

Package: git-buildpackage
Architecture: all
Depends: ${python3:Depends},
 ${shlibs:Depends},
 ${misc:Depends},
 devscripts (>= 2.13.5~),
 git (>= 1:2.40.1-1),
 man-db,
 python3-dateutil,
 python3-pkg-resources,
 python3-yaml,
 sensible-utils,
Recommends: pristine-tar (>= 1.41),
 cowbuilder | pbuilder | sbuild,
 python3-requests
Breaks: dgit (<< 9.16~)
Suggests: python3-notify2, unzip, sudo
Description: Suite to help with Debian packages in Git repositories
 This package contains the following tools:
  * gbp buildpackage: build a package out of a Git repository, check for local
    modifications and tag appropriately
  * gbp import-orig: import a new upstream version into the Git repository
  * gbp export-orig: export an upstream tarball from the Git repository
  * gbp import-{dsc,dscs}: import existing Debian source packages into a Git
    repository
  * gbp dch: generate Debian changelog entries from Git commit messages
  * gbp {pull,clone}: clone and pull from remote repos
  * gbp pq: manage debian/patches easily
  * gbp create-remote-repo: create remote repositories
  * gbp push: push content to remote repositories
  * gbp tag: tag a Debian package in Git
  * gbp pristine-tar: create pristine-tar commits
  * gbp setup-gitattributes: set up Git attributes to disable transformations

Package: git-buildpackage-rpm
Architecture: all
Depends: ${python3:Depends},
 ${misc:Depends},
 cpio,
 git-buildpackage (= ${binary:Version}),
 python3-rpm (>= 4.16.1),
 rpm (>= 4.16.1),
Recommends: pristine-tar (>= 0.5)
Suggests: python3-notify, unzip, zipmerge, mock
Description: Suite to help with RPM packages in Git repositories
 This package contains the following tools:
  * gbp buildpackage-rpm: build a package out of a Git repository, check for
    local modifications and tag appropriately
  * gbp import-srpm: import existing RPM source packages into a Git
    repository
  * gbp pq-rpm: manage patches easily
 .
 These tools are currently in an experimental state. Branch names and
 repository layouts might change without lots of prior warning.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --buildsystem=pybuild

override_dh_auto_test:
ifeq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	make
	make shell-check
endif

execute_after_dh_auto_build:
	make docs

execute_after_dh_fixperms:
	chmod a+x debian/git-buildpackage/usr/lib/python3/dist-packages/gbp/scripts/supercommand.py

execute_after_dh_auto_clean:
	make -C docs/ clean
	find gbp -name __init__.py -printf '%h/__pycache__/\n' | xargs rm -fr

## git-buildpackage 0.9.36%2Btizen20240605

=== docs/Makefile ===
#!/usr/bin/make

MAN1S = \
        gbp               \
        gbp-buildpackage  \
        gbp-buildpackage-rpm \
        gbp-clone         \
        gbp-config        \
        gbp-create-remote-repo \
        gbp-dch           \
        gbp-import-dsc    \
        gbp-import-dscs   \
        gbp-import-orig   \
        gbp-import-orig-rpm \
        gbp-import-srpm   \
        gbp-pq            \
        gbp-pq-rpm        \
        gbp-pull          \
        gbp-rpm-ch        \
        $(NULL)

MAN5S = gbp.conf

MANUAL=manual-html
SGML_MANPAGES=$(patsubst %,%.1,$(MAN1S)) $(patsubst %,%.5,$(MAN5S))
POD_MANPAGES=git-pbuilder.1
MANPAGES=$(SGML_MANPAGES) $(POD_MANPAGES)
VERSION_ENT=version.ent
GBP_VERSION=../gbp/version.py
DEB_VERSION=$(shell sed -ne 's/^gbp_version="\([.a-z0-9~-]\+\)"/\1/p' $(GBP_VERSION))
CHANGELOG=../debian/changelog

# Stuff to build docs outside Debian
HAVE_SGML2X ?= 0
GTK_DOC_CATALOG_FILE ?= /usr/share/sgml/gtk-doc/gtk-doc.cat

all: $(MANUAL) $(MANPAGES)

$(MANUAL): main.sgml manual.sgml manual-rpm.sgml chapters/*.sgml manpages/*.sgml
ifeq ($(HAVE_SGML2X),1)
	docbook-2-html -s local $<
	rm -rf $(MANUAL)
	mv main-html $(MANUAL)
else
	docbook2html -d local-nosgml2x.dsl -c $(GTK_DOC_CATALOG_FILE) -o $(MANUAL) $<
endif
	cp /usr/share/gtk-doc/data/*.png $(MANUAL)

# We build manpages under 'buildxref/' just to get an updated cross-reference
# file (manpage.refs), before building the final manpages
BUILD_MAN_XREF_PAGES=$(patsubst %,buildxref/%,$(SGML_MANPAGES))

buildxref/%.1 buildxref/%.5: man.%.sgml manpages/%.sgml
	docbook2man -o buildxref $<

manpage.refs: $(BUILD_MAN_XREF_PAGES)
	cp buildxref/$@ $@

%.1 %.5: manpage.refs
	docbook2man -o . man.$*.sgml

git-pbuilder.1: ../bin/git-pbuilder
	pod2man $< $@

main.sgml: $(VERSION_ENT)

$(VERSION_ENT): $(GBP_VERSION)
	echo '<!ENTITY gbp-version "$(DEB_VERSION)">' > $(VERSION_ENT)

clean:
	-rm -r manual-html/
	-rm *.1 *.5 manpage.* $(VERSION_ENT)
	-rm -r buildxref

=== debian/changelog ===
git-buildpackage (0.9.36+tizen20240605) unstable; urgency=medium

  * Upgrade version to override the version from mirrors.
  * Fix build errors on ubuntu 24.04.

 -- Xu Huayong <huayong.xu@samsung.com> Tue, 18 Jun 2024 18::02 +0800

git-buildpackage (0.9.28-tizen20231130) unstable; urgency=medium

  * Fix git-buildpackage issue to adapt the librpm-tizen 4.14 version.

 -- Xu Huayong <huayong.xu@samsung.com> Thu, 30 Nov 2023 14::32 +0800

git-buildpackage (0.9.27-tizen20231101) unstable; urgency=medium

  * Port code from python2.x to python3.x.
  * Support Ubuntu22.04 build.
  * Fix some defects during runtime.

 -- Biao Wang  <biao716.wang@samsung.com>  Wed, 01 Nov 2023 16:50:00 +0800

git-buildpackage (0.9.26-tizen20221104) unstable; urgency=medium

  * update submodule url.
  * Adapt Ubuntu 22.04 to upgrade the version.

 -- Biao Wang  <biao716.wang@samsung.com>  Fri, 14 May 2021 16:50:00 +0800

git-buildpackage (0.9.21-tizen20210514) unstable; urgency=medium

  * Fix export submodule source code error.

 -- Biao Wang  <biao716.wang@samsung.com>  Fri, 14 May 2021 16:50:00 +0800

git-buildpackage (0.9.20-tizen20200522) unstable; urgency=medium

  * Adapt Ubuntu 20.04 to upgrade the version.

 -- Yan Meng  <yan11.meng@samsung.com>  Fri, 22 May 2020 16:50:00 +0800

git-buildpackage (0.9.9-tizen20180912) unstable; urgency=medium

  * Adapt Ubuntu 18.04 to upgrade the version.

 -- Biao Wang  <biao716.wang@samsung.com>  Wed, 12 Sep 2018 16:50:00 +0800

git-buildpackage (0.7.5-tizen20161231) unstable; urgency=medium

  * Fix diff_status() for renames and copies
  * Adapt git-merge option when git version greater then 2.9
  * Disable test_pristine_tar unittest case

 -- SoonKyu Park  <sk7.park@samsung.com>  Sat, 31 Dec 2016 19:30:00 +0800

git-buildpackage (0.7.4-tizen20160514) unstable; urgency=medium

  * Keep same version number with upstream source code ,version 0.7.4

 -- Jun Wang  <junbill.wangx@samsung.com>  Sat, 14 May 2016 17:12:00 +0800

git-buildpackage (0.6.27-tizen20160302) unstable; urgency=medium

  * Fix error logs when __import__ faild,like "No handlers could be found fo logger"
  * Fix build problem on Debian 8

 -- Jun Wang  <junbill.wangx@samsung.com>  Wed, 02 Mar 2016 07:47:21 +0100

git-buildpackage (0.6.22-tizen20150206) unstable; urgency=low

  * Rebase on top of upstream version 0.6.22
  * Experimental support for BitBake
    - Introduce import-bb tool.
      This is the first tool in an effort of enabling gbp in the BitBake build
      environment. Gbp-import-bb is a tool for importing packages from a
      BitBake-based "combined" distro repository into individual per-package
      Git repositories.
    - Introduce pq-bb tool.
      This is a tool for managing patch-queues for packages maintained in the
      BitBake packaging format (.bb recipes).
    - Introduce buildpackage-bb tool.
      Initial version of the tool for building BitBake packages from Git.
      NOTE: The buildpackage-bb tool itself is able to operate even without an
      initialized BitBake build environment although the build likely fails in
      this case. However, this makes it possible to export the packaging meta
      data, for example.
    - Introcude clone-bb tool.
      This is a new tool for helping to clone remote per-package Git
      repositories when working in BitBake-based "full distro" build
      environment. This is useful in the case that individual packages are
      actually maintained in per-package Git repositories (like Tizen). That
      is, the full distro repository that the developer operates in is
      composed of the packaging meta data from the individual per-package
      repositories. When willing to contribute to a package the developer
      would use clone-bb to clone the correct per-package repository and make
      his changes there.
      NOTE: clone-bb uses GBP_PACKAGING_REPO variable to determine the remote
      repository URI. This variable should be defined in the package recipes
      in order to make clone-bb usable.
    - Introduce submit-bb tool.
      This is a Tizen-specific tool for creating and pushing special submit
      tags.
  * pq-rpm: better error message
  * buildpackage-rpm: look for remote upstream branches.
    Consider remote branches, too, while looking for the upstream branch
    when trying to guess if a package is native or not.
  * rpm packaging changes
    - enable CentOS 7.
    - include python egg-info in -common.
  * rpm: suppress stderr when unpacking src.rpm
  * UpstreamSource: suppress stderr from tar in _determine_prefix()
  * patchseries: strip numbering when guessing subject from filename
  * Changes in logging
    - don't propagate to ancestor loggers
    - don't initialize handlers in GbpLogger init.
      Better compatibility with 3rd party modules that have their own logging
      initializations.
  * Features/fixes in GitRepository
    - GitRepository/__git_inout: correctly handle input error
    - GitRepository.create_tag: add 'annotate' argument.
      For forcing the creation of annotated tags. Causes the an editor to be
      spawned if no message is given.

 -- Markus Lehtonen <markus.lehtonen@linux.intel.com>  Fri, 06 Feb 2015 10:36:26 +0200

  * Upgrade version to 0.6.25

 -- Rong Jinhui <jinhui.rong@samsung.com>  Thu, 04 Aug 2015 08:53:30 +0800

git-buildpackage (0.6.15-tizen20140828) unstable; urgency=low

  [ Markus Lehtonen ]
  * Rebase on top of upstream version 0.6.15
  * Changes in buildpackage-rpm
    - new 'commitish' keyword for spec vcs tag
    - notify: catch RuntimeError when importing pynotify
    - fix exit code in case of GitRepositoryError
    - always create tarball for native packages
    - check submodules from the exported treeish
    - fix crash when running prebuild hook
    - always run cleaner hook
    - add --git-no-build option
    - don't crash on invalid vcs format strings
    - add '--git-native' option
    - remove some outdated/unnecessary exception handling


=== debian/control ===
Source: git-buildpackage
Section: vcs
Priority: optional
Maintainer: Guido Günther <agx@sigxcpu.org>
Build-Depends:
 bash-completion,
 dh-python,
 debhelper (>= 9~),
 docbook-utils,
 gtk-doc-tools,
 openjade,
 perl,
 python3,
 python-epydoc | pydoctor | python-pydoctor,
 python3-nose,
 python3-pkg-resources,
 python3-setuptools,
 python3-dateutil,
 librpm-tizen,
# For rpm (epydoc)
 python3-rpm
Standards-Version: 3.9.4
Vcs-Git: git://honk.sigxcpu.org/git/git-buildpackage.git
Vcs-Browser: https://honk.sigxcpu.org/gitweb/?p=git-buildpackage.git
Homepage: https://honk.sigxcpu.org/piki/projects/git-buildpackage/
X-Python3-Version: >= 3.5


Package: git-buildpackage-common
Architecture: all
Depends: ${python3:Depends},
 ${shlibs:Depends},
 ${misc:Depends},
 devscripts (>= 2.13.5~),
 git (>= 1:1.7.9.1-1~),
 man-db,
 python3-pkg-resources,
 python3-dateutil,
#unittest need
 zipmerge
Recommends: pristine-tar (>= 0.5)
Suggests: python3-notify2, unzip, zipmerge
Description: Suite to help with packaging in Git repositories
 This package contains the common API and scripts for Debian and rpm packaging

Package: git-buildpackage
Architecture: all
Depends: ${python3:Depends},
 ${shlibs:Depends},
 ${misc:Depends},
 devscripts,
 git-buildpackage-common (= ${binary:Version})
Recommends: cowbuilder
Description: Suite to help with Debian packages in Git repositories
 This package contains the following tools:
  * gbp import-{dsc,dscs}: import existing Debian source packages into a git
    repository
  * gbp import-orig: import a new upstream version into the git repository
  * gbp buildpackage: build a package out of a git repository, check for local
    modifications and tag appropriately
  * gbp dch: generate Debian changelog entries from Git commit messages
  * gbp {pull,clone}: clone and pull from remote repos
  * gbp pq: manage debian/patches easily
  * gbp create-remote-repo: create remote repositories

Package: git-buildpackage-rpm
Architecture: all
Depends: ${python3:Depends},
 ${shlibs:Depends},
 ${misc:Depends},
 python3-rpm,
 rpm2cpio,
 git-buildpackage-common (= ${binary:Version})
Recommends: rpm
Description: Suite to help with rpm packages in Git repositories
 This package contains the following tools:
  * git-import-srpm: import existing rpm source packages into a git
    repository
  * git-import-orig-rpm: import a new upstream version into the git repository
  * git-buildpackage-rpm: build a package out of a git repository, check for local
    modifications and tag appropriately
  * gbp-pq-rpm: manage separate development and packaging branches

Package: git-buildpackage-bb
Architecture: all
Depends: ${python3:Depends},
 ${misc:Depends},
 git-buildpackage-common (= ${binary:Version}),
 git-buildpackage-rpm (= ${binary:Version}),
Recommends: bitbake
Description: Suite to help with BitBake builds from Git repositories
 This package contains the following tools:
  * gbp import-bb: import sources from distribution repository
  * gbp buildpackage-bb: build a package out of a Git repository
  * gbp pq-bb: manage separate development and packaging branches

=== debian/rules ===
#!/usr/bin/make -f

# HACK: disable checks, i.e. unit tests
DEB_BUILD_OPTIONS += nocheck
export WITHOUT_NOSETESTS := 1

EXAMPLE_SCRIPTS=\
    gbp-add-patch          \
    gbp-cowbuilder-sid     \
    gbp-posttag-push       \
    gbp-configure-unpatched-source \
    wrap_cl.py

DEB_COMPRESS_EXCLUDE=$(EXAMPLE_SCRIPTS)

ZSH_COMPDIR = /usr/share/zsh/vendor-completions/

PYCHECKER_ARGS=-boptparse --no-override --no-shadowbuiltin

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	dh_auto_test
	export GIT_AUTHOR_NAME="Gbp Tests";		\
	export GIT_AUTHOR_EMAIL=tests@example.com;	\
	export GIT_COMMITTER_NAME=$$GIT_AUTHOR_NAME;	\
	export GIT_COMMITTER_EMAIL=$$GIT_AUTHOR_EMAIL;	\
	PYTHONPATH=.					\
	python3 setup.py nosetests

else
	@echo "Checks disabled via DEB_BUILD_OPTIONS"
endif

override_dh_auto_build:
	dh_auto_build
	make -C docs

override_dh_auto_install:
	python3 setup.py install --root=debian/tmp --prefix=/usr/local
	dh_bash-completion
	mkdir -p debian/git-buildpackage/$(ZSH_COMPDIR)
	install -m644 debian/git-buildpackage.zsh-completion \
		debian/git-buildpackage/$(ZSH_COMPDIR)/_gbp

override_dh_auto_clean:
	dh_auto_clean
	# Remove renamed files - renames are not correctly expressed in debian.diff
	rm -f debian/doc-base
	rm -f debian/docs
	rm -f debian/examples
	rm -f debian/manpages
	rm -rf build/
	make -C docs/ clean
	-rm gbp/version.py

override_dh_compress:
	dh_compress --exclude=usr/share/doc/git-buildpackage/examples/

override_dh_usrlocal:

## git-buildpackage 0.9.37

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,5 @@
 PY_EXAMPLES=$(shell grep -l /usr/bin/python examples/*)
 FLAKE_OPTS=$(shell test -w /dev/shm || echo '-j1')
-NOSE_OPTS=--with-xcoverage
 TEST_LOCALE?=C.UTF-8
 
 SH_SCRIPTS = \
@@ -21,14 +20,14 @@
 	export DEBEMAIL=$$GIT_AUTHOR_EMAIL;             \
 	PYTHONPATH=.					\
 	LC_ALL=$(TEST_LOCALE)                           \
-	python3 -m pytest
+	python3 -m pytest $(PYTEST_ARGS)
 
 syntax-check:
 	flake8 $(FLAKE_OPTS)
 	flake8 $(FLAKE_OPTS) $(PY_EXAMPLES)
 
 type-check:
-	mypy gbp
+	mypy $(MYPY_ARGS) gbp
 
 shell-check:
 	@echo "# Validating zsh completion"

=== debian/changelog ===
git-buildpackage (0.9.37) unstable; urgency=medium

  [ Guido Günther ]
  * [9551420] import-orig: Add mention of --upstream-vcs-tag to description.
    This makes it hopefully easier to discover.
  * [9a2507e] setup: Require python 3.11.
    We don't test it on anything older. (Closes: #1091851)
  * [005676a] buildpackage: Make sure export_dir is always set.
    Fixes c9cc8df4 ("buildpackage: remove export_dir if build fails")
    (Closes: #1091554)
  * [ae6f841] repo-setup: Drop context manager for posix path.
    Python's breaks backward compatibility without being helpful.
    See https://github.com/python/cpython/issues/83863
    This fixes running gbp with Pythone 3.13

  [ Otto Kekäläinen ]
  * [ec9ee37] docs: Clarify and unify the purpose of each command in the man pages.
    Update the <refpurpose> field in each command to better capture the main
    purpose of the command, and ensure the main `gbp (1)` man page uses the
    same text to avoid them from diverging.
  * [f3036fb] docs: Add examples sections where missing, and enrich examples.
    Most commands should have an EXAMPLES section on the man page, and the
    first 1-2 examples should show what are the most common invocations.

 -- Guido Günther <agx@sigxcpu.org>  Thu, 09 Jan 2025 18:24:22 +0100

git-buildpackage (0.9.36) unstable; urgency=medium

  [ Michael R. Crusoe ]
  * [aee0584] Idiomatic usage of pytest, remove almost all traces of nose
    (Closes: #1018367)

  [ Guido Günther ]
  * [4c63abd] d/control: Drop dependency on pkg-resources (Closes: #1083415)
  * [f243658] docs: Mardownify development hints
  * [379e63f] docs: Adjust test invocations for pytest. It's different from
    nose, sigh
  * [1f1f7f2] docs: Link to hacking
  * [a699d3b] docs: Add merge request URL
  * [45b2d4f] docs: Clean up markdown. Make mdl happy.
  * [5495aa6] docs: Use application instead of product.
    Avoids the ™. See
        https://tdg.docbook.org/tdg/5.1/application
    While at that move all applications into their own block
  * [ae431af] docs: Use entities for lintian and rpm-lint.
    We use command rather than productname as the related text refers to
    running external commands.
  * [9c1ec80] dirlocals: Avoid tabs in xml mode
  * [e19f76e] docs: intro: Make first point more crisp
  * [e0e1102] docs: intro: Use <filename> around debian/changelog
  * [dc42093] docs: intro: Mention that we support push and pull
  * [12287be] docs: intro: Mention gbp push.
    The initial paragraph was written before gbp push existed.
  * [3d34a37] tests: Strip result.
    This unbreaks CI and lets us work with recent and older
    dpkg-parsechangelog.
  * [8396466] build: Allow to pass args to mypy. Useful in CI
  * [a3472d3] ci: Add upstream pipeline. Do the linting and checking before
    running salsa-ci
  * [f7c50a1] ci: Store ruff result as junit. Makes things easier to read in
    gitlab
  * [e228fed] ci: Run typecheck
  * [59b3da2] upstreamsource: Add some types for tarball lists.
    We need to slightly tweak the code for this 
  * [80e5964] pristine-tar: Move import to its own function. Rename debsource
    to source while at that to match other scripts
  * [0365f5c] pristine-tar: Import upstream signatures too. Otherwise we're
    not consistent with import-orig
  * [55a5925] tests: Skip repo creation test in CI. We have too many perms
  * [c8dfce0] build: Allow to pass extra args to pytest. Useful in ci.
  * [0337772] ci: Run pytests. This allows us to run the tests that need
    network as well
  * [1930a4a] ci: Fetch deb packaging data.
    Enables us to run the deb based component tests. We do this for the test
    job only as the others don't need the submodules to work.
    The rpm component tests need more work so we don't fetch the subodule
    yet.
  * [69f1fe7] packaging: Don't run flake8.
    This makes the package build more robust as we don't have to worry about
    new formatting warnings/errors which don't affect the functionality of
    the package.
  * [15fe75e] ci: Use ci pipelines and robustify CI runs. Cancel running jobs
    to save resources
  * [4f28776] ci: Run ci-fairy. This keeps commit messages sane
  * [2c5d94d] tests: Ease checking exit status. Print the error log when exit
    status is not 0
  * [7a9c89c] tests/clone: Print logs on failure. Eases debugging in CI
  * [83af90e] ci: Enable tests that need network access
  * [fb6d859] ci: Run shell checks. We can drop them from the packaging run.
  * [410df5f] packaging: Drop test dependencies. We run the tests in CI
  * [b6aaa8e] tests: Enable coverage reports and coverage percentage
  * [6ff6117] gbp: Add pipes module verbatim from Python 3.12.8
  * [e401bae] pipes: Drop deprecation warning. Drop the deprecation warning,
    add a copyright header and make flake8 happy.
  * [43d4b3b] pipes: Use shlex.quote. Ensures we don't leak pipe.quote
  * [87e5905] gbp: Use our bundled pipes module (Closes: #1084672)

  [ Otto Kekäläinen ]
  * [ea20cff] Support numerical prefix in suite names.
    E.g. '12-bookworm' or '24.04-noble'.
    Repositories that have many parallel releases in maintenance are easier
    to manage when the suites have a number prefix so they sort alphabetically
    correctly, and also causes less cognitive load in trying to remember what
    release number and name to put in debian/changelog.
  * [dd3bba9] Document vendor detection and sort names alphabetically
  * [b8e75c6] docs: Consistently use 'upsreamvcs' as git remote for upstream
  * [a92b54d] docs: Misc minor tweaks and fixes
    * Fix one stray use of 'debian/sid' missed in 4dc9a6ce
    * Mention DEP-14 layout on page about branches
    * Update links to upstream Git homepage and to salsa.debian.org
    * Replace link 'here' with actual manual URL to make the link readable
    * Use https in links
    * Remove trailing white space
  * [14e2a30] docs: Use the shorter URL to online manual, and promote it in man pages too.


=== control ===
Source: hello-debhelper
Section: devel
Priority: extra
Maintainer: Santiago Vila <sanvila@debian.org>
Standards-Version: 3.9.2
Build-Depends: debhelper (>= 9.20120311)
Homepage: http://www.gnu.org/software/hello/

Package: hello-debhelper
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: hello
Provides: hello
Replaces: hello
Description: The classic greeting, and a good example
 The GNU hello program produces a familiar, friendly greeting.  It
 allows non-programmers to use a classic computer science tool which
 would otherwise be unavailable to them.
 .
 Seriously, though: this is an example of how to do a Debian package.
 It is the Debian version of the GNU Project's `hello world' program
 (which is itself an example for the GNU Project).
 .
 This is the same as the hello package, except it uses debhelper to
 make the deb.  Please see debhelper as to what it is.

=== debian/control ===
Source: git-buildpackage
Section: vcs
Priority: optional
Maintainer: Guido Günther <agx@sigxcpu.org>
Build-Depends:
 bash-completion (>= 1:2.1-4.2~),
 debhelper-compat (= 13),
 dh-python,
 dh-sequence-bash-completion,
 dh-sequence-python3,
 docbook2x,
 gtk-doc-tools,
 libdistro-info-perl,
 perl,
 pydoctor,
 python3,
 python3-pytest-cov,
 python3-dateutil,
 python3-filelock,
 python3-pytest,
 python3-rpm,
 python3-setuptools,
 python3-yaml,
 xsltproc,
# For the testsuite
 bzip2 <!nocheck>,
 cpio <!nocheck>,
 devscripts (>= 2.17.7~) <!nocheck>,
 git (>= 1:2.40.1) <!nocheck>,
 pristine-tar (>= 1.14) <!nocheck>,
 rpm (>= 4.16.1) <!nocheck>,
 unzip <!nocheck>,
 zipmerge <!nocheck>,
Standards-Version: 4.6.1
Vcs-Git: https://salsa.debian.org/agx/git-buildpackage.git
Vcs-Browser: https://salsa.debian.org/agx/git-buildpackage/
Homepage: https://honk.sigxcpu.org/piki/projects/git-buildpackage/
Rules-Requires-Root: no
X-Python3-Version: >= 3.7

Package: git-buildpackage
Architecture: all
Depends: ${python3:Depends},
 ${shlibs:Depends},
 ${misc:Depends},
 devscripts (>= 2.13.5~),
 git (>= 1:2.40.1-1),
 man-db,
 python3-dateutil,
 python3-yaml,
 sensible-utils,
Recommends: pristine-tar (>= 1.41),
 cowbuilder | pbuilder | sbuild,
 python3-requests
Breaks: dgit (<< 9.16~)
Suggests: python3-notify2, unzip, sudo
Description: Suite to help with Debian packages in Git repositories
 This package contains the following tools:
  * gbp buildpackage: build a package out of a Git repository, check for local
    modifications and tag appropriately
  * gbp import-orig: import a new upstream version into the Git repository
  * gbp export-orig: export an upstream tarball from the Git repository
  * gbp import-{dsc,dscs}: import existing Debian source packages into a Git
    repository
  * gbp dch: generate Debian changelog entries from Git commit messages
  * gbp {pull,clone}: clone and pull from remote repos
  * gbp pq: manage debian/patches easily
  * gbp create-remote-repo: create remote repositories
  * gbp push: push content to remote repositories
  * gbp tag: tag a Debian package in Git
  * gbp pristine-tar: create pristine-tar commits
  * gbp setup-gitattributes: set up Git attributes to disable transformations

Package: git-buildpackage-rpm
Architecture: all
Depends: ${python3:Depends},
 ${misc:Depends},
 cpio,
 git-buildpackage (= ${binary:Version}),
 python3-rpm (>= 4.16.1),
 rpm (>= 4.16.1),
Recommends: pristine-tar (>= 0.5)
Suggests: python3-notify, unzip, zipmerge, mock
Description: Suite to help with RPM packages in Git repositories
 This package contains the following tools:
  * gbp buildpackage-rpm: build a package out of a Git repository, check for
    local modifications and tag appropriately
  * gbp import-srpm: import existing RPM source packages into a Git
    repository
  * gbp pq-rpm: manage patches easily
 .
 These tools are currently in an experimental state. Branch names and
 repository layouts might change without lots of prior warning.

=== debian/tests/control ===
Tests: smoke-rpm
Depends: @, @builddeps@
Restrictions: allow-stderr

## git-buildpackage 0.9.38

=== Makefile ===
all:
	@echo "Ready!"

=== debian/changelog ===
git-buildpackage (0.9.38) unstable; urgency=medium

  [ Otto Kekäläinen ]
  * [b15709f] config: Enable 'multimaint-merge' by default.
    There are currently 735 packages[1] that default to 'True' for this
    option and seems most no maintainer would manually write a
    debian/changelog with the same maintainer repeated, so this would be a
    better default.
    Also, devscripts itself recently changed this and will have it enabled
    by default in version 2.25.1+.
  * [f7ce004] docs: Add diagram to manual to help readers grasp the DEP-14 branches.

  [ Andrew Kreimer ]
  * [b44226e] docs: fix typos.

  [ Guido Günther ]
  * [89b0995] ci: Run codespell. We run it on th doc folder.
  * [a6f65c1] docs: Mention DCO.Hopefully we get more commits with
    `Signed-off-by:`.
  * [2a30c7a] import-orig: Keep upstream branch on initial import.
    When importing a new package we want to keep both upstream and debian
    branch as otherwise the user has an extra manual step of recreating the
    branch.
  * [091b811] docs: Modernize creating a new package.  With upcoming support
    for gbp.conf in dh_make let's modernize the docs a bit and use `*/latest`
    there too.
  * [462d5f7] clone: Ensure attribute changes are applied past clone.
    This makes sure changes due to the added gitattributes take effect in
    the checkout. This helps e.g. kotlin wich otherwise has
      $ git status
      [..snip..]
      Changes not staged for commit:
      (use "git add <file>..." to update what will be committed)
      (use "git restore <file>..." to discard changes in working directory)
    	modified:   compiler/cli/bin/kapt.bat
    	modified:   compiler/cli/bin/kotlin-dce-js.bat
    	modified:   compiler/cli/bin/kotlin.bat
    	modified:   compiler/cli/bin/kotlinc-js.bat
    	modified:   compiler/cli/bin/kotlinc-jvm.bat
    	modified:   compiler/cli/bin/kotlinc.bat
    after
       gbp clone vcsgit:kotlin
    Helps: #1092800
  * [ed0bb53] tests: Check that git attributes are disarmed.
    Add a test for
       462d5f75 ("clone: Ensure attribute changes are applied past clone")
    to ensure git attributes aren't applied and the working copy stays
    clean. Based on bits from !38 by Julien Plissonneau Duquène
  * [6512a0d] changelog: Don't capture dch's stderr.  Otherwise we'll never
    see it

  [ Gioele Barabucci ]
  * [7beb71e] buildpackage: Allow both DEP-14 and DEP14 as values for `dist`
  * [67baaae] Consistently use DEP-X in documentation and error messages.
    The consensus on debian-devel is that "DEP-X" should be preferred
    to "DEPX" and "DEP X".
    See: https://lists.debian.org/debian-devel/2024/11/msg00141.html

  [ Richard Hansen ]
  * [69afa42] packaging: Bump Python version for `type` statement.
    The `type` statement was added in Python 3.12.
  * [ec76596] packaging: Remove unused python3-filelock dependency.
    This reverts commit 5155e98b3cac28a32f20ac369e28e9fa78676fd4.
  * [240fbb4] packaging: Mark test build dependencies as !nocheck
  * [971d253] packaging: Fix python3-notify2 suggestion for git-buildpackage-rpm
  * [117f3ed] build: Drop exact version requirement for flake8
    v3.5.0 hasn't been supported since at least Python 3.9.
  * [7b6408a] build: Change coverage dependency to pytest-cov.
    Testing fails if pytest-cov isn't installed.
  * [b4e2e8f] build: Add missing requirements to requirements.txt
  * [ebd478d] build: Add a venv target to Makefile for convenience
  * [f251b86] build: Make it easier to override python executable in Makefile.
    Now users can do `make PYTHON=python3.12` to force a particular
    version of Python if desired.

  [ Julien Plissonneau Duquène ]
  * [a738315] Pass --download-version to uscan

 -- Guido Günther <agx@sigxcpu.org>  Thu, 10 Apr 2025 15:36:33 +0200

=== debian/control ===
--- 
+++ 
@@ -14,13 +14,7 @@
  perl,
  pydoctor,
  python3,
- python3-pytest-cov,
- python3-dateutil,
- python3-filelock,
- python3-pytest,
- python3-rpm,
  python3-setuptools,
- python3-yaml,
  xsltproc,
 # For the testsuite
  bzip2 <!nocheck>,
@@ -28,6 +22,11 @@
  devscripts (>= 2.17.7~) <!nocheck>,
  git (>= 1:2.40.1) <!nocheck>,
  pristine-tar (>= 1.14) <!nocheck>,
+ python3-dateutil <!nocheck>,
+ python3-pytest <!nocheck>,
+ python3-pytest-cov <!nocheck>,
+ python3-rpm <!nocheck>,
+ python3-yaml <!nocheck>,
  rpm (>= 4.16.1) <!nocheck>,
  unzip <!nocheck>,
  zipmerge <!nocheck>,
@@ -36,14 +35,14 @@
 Vcs-Browser: https://salsa.debian.org/agx/git-buildpackage/
 Homepage: https://honk.sigxcpu.org/piki/projects/git-buildpackage/
 Rules-Requires-Root: no
-X-Python3-Version: >= 3.7
+X-Python3-Version: >= 3.12
 
 Package: git-buildpackage
 Architecture: all
 Depends: ${python3:Depends},
  ${shlibs:Depends},
  ${misc:Depends},
- devscripts (>= 2.13.5~),
+ devscripts (>= 2.25.2~),
  git (>= 1:2.40.1-1),
  man-db,
  python3-dateutil,
@@ -80,7 +79,7 @@
  python3-rpm (>= 4.16.1),
  rpm (>= 4.16.1),
 Recommends: pristine-tar (>= 0.5)
-Suggests: python3-notify, unzip, zipmerge, mock
+Suggests: python3-notify2, unzip, zipmerge, mock
 Description: Suite to help with RPM packages in Git repositories
  This package contains the following tools:
   * gbp buildpackage-rpm: build a package out of a Git repository, check for

## git-buildpackage 0.9.39

=== Makefile ===
PYTHON=python3
PY_EXAMPLES=$(shell grep -l /usr/bin/python examples/*)
FLAKE_OPTS=$(shell test -w /dev/shm || echo '-j1')
TEST_LOCALE?=C.UTF-8

SH_SCRIPTS = \
  packaging/run-in-container \
  $(NULL)

all: syntax-check test

all+net:
	GBP_NETWORK_TESTS=1 $(MAKE) all

test:
	export HOME=/nonexisting;                       \
	export GIT_AUTHOR_NAME="Gbp Tests";		\
	export GIT_AUTHOR_EMAIL=tests@example.com;	\
	export GIT_COMMITTER_NAME=$$GIT_AUTHOR_NAME;	\
	export GIT_COMMITTER_EMAIL=$$GIT_AUTHOR_EMAIL;	\
	export DEBEMAIL=$$GIT_AUTHOR_EMAIL;             \
	PYTHONPATH=.					\
	LC_ALL=$(TEST_LOCALE)                           \
	$(PYTHON) -m pytest $(PYTEST_ARGS)

syntax-check:
	flake8 $(FLAKE_OPTS)
	flake8 $(FLAKE_OPTS) $(PY_EXAMPLES)

type-check:
	mypy $(MYPY_ARGS) gbp

shell-check:
	@echo "# Validating zsh completion"
	zsh debian/zsh/_gbp
	@echo "# Validating bash completion"
	shellcheck --shell=bash debian/git-buildpackage.bash-completion
	shellcheck $(SH_SCRIPTS)

docs:
	$(MAKE) -C docs
	$(MAKE) apidocs

apidocs:
	mkdir -p build

venv: venv/stamp
venv/stamp:
	$(PYTHON) -m venv venv
	. venv/bin/activate && pip install -r dev_requirements.txt
	touch '$@'

.PHONY: docs venv

=== requirements.txt ===
notify2
python-dateutil
pyyaml
requests
rpm
setuptools

=== docs/Makefile ===
#!/usr/bin/make

MAN1S = \
        gbp               \
        gbp-buildpackage  \
        gbp-clone         \
        gbp-config        \
        gbp-create-remote-repo \
        gbp-dch           \
        gbp-export-orig   \
        gbp-import-dsc    \
        gbp-import-dscs   \
        gbp-import-orig   \
        gbp-import-ref    \
        gbp-pq            \
        gbp-pristine-tar  \
        gbp-pull          \
        gbp-push          \
        gbp-setup-gitattributes \
        gbp-tag           \
        gbp-buildpackage-rpm \
        gbp-import-srpm   \
        gbp-pq-rpm        \
        gbp-rpm-ch        \
        $(NULL)

MAN5S = \
	gbp.conf \
	$(NULL)

MANUAL=manual-html
XML_MANPAGES=$(patsubst %,%.1,$(MAN1S)) $(patsubst %,%.5,$(MAN5S))
POD_MANPAGES=git-pbuilder.1
MANPAGES=$(XML_MANPAGES) $(POD_MANPAGES)
VERSION_ENT=version.ent
GBP_VERSION=../gbp/version.py
DEB_VERSION=$(shell sed -ne 's/^gbp_version\s\+=\s\+"\([.a-z0-9~-]\+\)"/\1/p' $(GBP_VERSION))
CHANGELOG=../debian/changelog
MAN_DATE=$(shell dpkg-parsechangelog -l ../debian/changelog -SDate | TZ=UTC LC_ALL=C date -f- +'%d %B %Y')
IMAGES=$(wildcard images/*)
DEST_IMAGES=$(subst images/,$(MANUAL)/images/,$(IMAGES))

# Select python
ifneq ($(strip $(shell which python3)),)
	PYTHON=python3
else
	PYTHON=python
endif

# Select docbook-to-man tool
ifneq ($(strip $(shell which docbook2x-man)),)
	DOCBOOK_TO_MAN=docbook2x-man
else ifneq ($(strip $(shell which docbook-to-man)),)
	DOCBOOK_TO_MAN=docbook-to-man
else ifneq ($(strip $(shell which docbook2man)),)
	DOCBOOK_TO_MAN=docbook2man
else
	$(error Unable to find usable docbook to man conversion tool)
endif

all: manual $(MANPAGES)

manual: $(MANUAL)/index.html $(DEST_IMAGES) css

$(MANUAL)/index.html: manual.xml chapters/*.xml manpages/*.xml common.ent $(VERSION_ENT)
	mkdir -p $(MANUAL)
	xsltproc -o $(MANUAL)/ /usr/share/gtk-doc/data/gtk-doc.xsl $<
	cp /usr/share/gtk-doc/data/*.png \
	   /usr/share/gtk-doc/data/*.css \
	   $(MANUAL)

$(MANUAL)/gbp.pdf: manual.xml chapters/*.xml manpages/*.xml common.ent $(VERSION_ENT)
	xsltproc -o $(MANUAL)/ /usr/share/gtk-doc/data/gtk-doc.xsl $<

css: $(MANUAL)/gbp.css $(MANUAL)/gbp.svg
$(MANUAL)/gbp.css $(MANUAL)/gbp.svg: gbp.css gbp.svg
	cp gbp.css gbp.svg $(MANUAL)/

html_images: $(DEST_IMAGES)
$(MANUAL)/images/%: images/%
	mkdir -p $(basename $@)
	install $< $@

%.1 %.5: man.gbp.xml manpages/%.xml
	$(DOCBOOK_TO_MAN) -o . $<

git-pbuilder.1: ../bin/git-pbuilder
	pod2man $< $@

manual.xml: $(VERSION_ENT)

$(GBP_VERSION): ../debian/changelog
	cd .. && $(PYTHON) setup.py build --help >/dev/null

$(VERSION_ENT): $(GBP_VERSION)
	echo '<!ENTITY gbp-version "$(DEB_VERSION)">' > $(VERSION_ENT)

clean:
	-rm -r $(MANUAL)
	-rm *.1 *.5 $(VERSION_ENT)

po4a:
	po4a -v -f po/po4a.cfg

langs: po4a
	$(MAKE) -C _gen/de -f ../../Makefile.lang

=== debian/changelog ===
git-buildpackage (0.9.39) unstable; urgency=medium

  [ Richard Hansen ]
  * [13517bc] run-in-container: Properly quote parameter expansion.
    It's unclear why the comment "re-splitting command arguments
    intentional" was added; nothing about the invocation of the function
    suggests that it was intentional.
  * [1b15033] run-in-container: Upgrade packages in image
  * [8a89b3e] run-in-container: Install image packages noninteractively
  * [5910d59] run-in-container: Reduce image size by deleting downloaded
    packages
  * [2589dcc] run-in-container: Run the full test suite
  * [d79afe7] run-in-container: Skip test that fails when run as root
  * [bcccae1] run-in-container: Bump example release to trixie
  * [181ad5b] run-in-container: Build the package during run, not image build
  * [0755e09] pq tests: Fix reading of patch file.
    Reading a file that has already been read to EOF returns the empty
    string, so the second check was always trivially true.
  * [d8ec910] GitRepository diff: Remove `=` from `-M` argument.
    Git's documentation says that the option has the form `-M[<n>]`, not
    `-M[=<n>]`.
  * [e6e5ee9] GitRepository diff: Add copy detection support.
    This commit does not enable copy or rename detection (no behavior
    changes are expected); it only adds the infrastructure needed to
    enable copy detection in a future commit.
  * [05a71f0] pq: Create rename and copy patches when exporting.
    This produces smaller patches that are easier to review and easier to
    refresh by devs that don't use git-buildpackage.
    The quilt utility wraps patch, and GNU patch has supported Git's diff
    features such as renames and copies since 2.7, released Sep 2012:
    <https://git.savannah.gnu.org/cgit/patch.git/tree/NEWS?h=v2.7#n6>
    Note: dpkg-source (specifically, Dpkg::Source::Patch) logs the
    following warning with a rename-only patch (see #749070), but such
    patches appear to be applied properly.
    (Closes: #1100809)
  * [34a63bf] GitRepository diff: Force diff algorithm for consistency
    (Closes: #1030044)

  [ Guido Günther ]
  * [df5a12a] tests: Fetch test data from salsa.
    Avoids a dependency on an external system that can fail.
  * [5262ada] clone: Add some type annotations
  * [17580fc] clone: Be less strict on vcs-git URLs.
    This allows URLs that specify `-b <branch>` to
    be matched. We don't care about the branch information
    yet though as we take that from gbp.conf.
  * [17d2826] Wrap and sort
  * [5cf9a8d] import-orig: Be more helpful when invoking uscan with a version
  * [7d509bf] uscan: Retry with --download-debversion if --download-version
    failed. Otherwise using this in scripts that merely get the target Debian
    version becomes really cumbersome
  * [aaeb20a] tests: Switch download URLs to salsa.
    This leaves merely the uscan test

  [ Julien Plissonneau Duquène ]
  * [69ccb15] Add a missing test dependency
  * [6ebc8cd] Promote Standards-Version to 4.7.2 with no changes

  [ Hannes von Haugwitz ]
  * [68768a2] buildpackage: Fix build directory removal condition
    * fixes regression in 005676a (buildpackage: Make sure export_dir is
      always set)
    * Closes: #1111340

  [ Santiago Vila ]
  * [cad78d8] Fix FTBFS with the nocheck build profile (Closes: #1116741)

  [ Carles Pina i Estany ]
  * [158f0db] Remove unused Suggests (not existing in Debian) "mock" package
    (Closes: #1119013)

 -- Guido Günther <agx@sigxcpu.org>  Wed, 05 Nov 2025 09:46:25 +0100

=== debian/control ===
--- 
+++ 
@@ -3,34 +3,35 @@
 Priority: optional
 Maintainer: Guido Günther <agx@sigxcpu.org>
 Build-Depends:
- bash-completion (>= 1:2.1-4.2~),
  debhelper-compat (= 13),
  dh-python,
  dh-sequence-bash-completion,
  dh-sequence-python3,
- docbook2x,
- gtk-doc-tools,
- libdistro-info-perl,
- perl,
- pydoctor,
- python3,
- python3-setuptools,
- xsltproc,
+ bash-completion (>= 1:2.1-4.2~),
 # For the testsuite
  bzip2 <!nocheck>,
  cpio <!nocheck>,
  devscripts (>= 2.17.7~) <!nocheck>,
+ docbook2x,
+ flake8 <!nocheck>,
  git (>= 1:2.40.1) <!nocheck>,
+ gtk-doc-tools,
+ libdistro-info-perl,
+ perl,
  pristine-tar (>= 1.14) <!nocheck>,
+ pydoctor,
+ python3,
  python3-dateutil <!nocheck>,
  python3-pytest <!nocheck>,
- python3-pytest-cov <!nocheck>,
+ python3-pytest-cov,
  python3-rpm <!nocheck>,
+ python3-setuptools,
  python3-yaml <!nocheck>,
  rpm (>= 4.16.1) <!nocheck>,
  unzip <!nocheck>,
+ xsltproc,
  zipmerge <!nocheck>,
-Standards-Version: 4.6.1
+Standards-Version: 4.7.2
 Vcs-Git: https://salsa.debian.org/agx/git-buildpackage.git
 Vcs-Browser: https://salsa.debian.org/agx/git-buildpackage/
 Homepage: https://honk.sigxcpu.org/piki/projects/git-buildpackage/
@@ -39,20 +40,26 @@
 
 Package: git-buildpackage
 Architecture: all
-Depends: ${python3:Depends},
- ${shlibs:Depends},
- ${misc:Depends},
+Depends:
  devscripts (>= 2.25.2~),
  git (>= 1:2.40.1-1),
  man-db,
  python3-dateutil,
  python3-yaml,
  sensible-utils,
-Recommends: pristine-tar (>= 1.41),
+ ${misc:Depends},
+ ${python3:Depends},
+ ${shlibs:Depends},
+Recommends:
  cowbuilder | pbuilder | sbuild,
- python3-requests
-Breaks: dgit (<< 9.16~)
-Suggests: python3-notify2, unzip, sudo
+ pristine-tar (>= 1.41),
+ python3-requests,
+Breaks:
+ dgit (<< 9.16~),
+Suggests:
+ python3-notify2,
+ sudo,
+ unzip,
 Description: Suite to help with Debian packages in Git repositories
  This package contains the following tools:
   * gbp buildpackage: build a package out of a Git repository, check for local
@@ -72,14 +79,19 @@
 
 Package: git-buildpackage-rpm
 Architecture: all
-Depends: ${python3:Depends},
- ${misc:Depends},
+Depends:
  cpio,
  git-buildpackage (= ${binary:Version}),
  python3-rpm (>= 4.16.1),
  rpm (>= 4.16.1),
-Recommends: pristine-tar (>= 0.5)
-Suggests: python3-notify2, unzip, zipmerge, mock
+ ${misc:Depends},
+ ${python3:Depends},
+Recommends:
+ pristine-tar (>= 0.5),
+Suggests:
+ python3-notify2,
+ unzip,
+ zipmerge,
 Description: Suite to help with RPM packages in Git repositories
  This package contains the following tools:
   * gbp buildpackage-rpm: build a package out of a Git repository, check for

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --buildsystem=pybuild

override_dh_auto_test:
ifeq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	make test
endif

execute_after_dh_auto_build:
	make docs

execute_after_dh_fixperms:
	chmod a+x debian/git-buildpackage/usr/lib/python3/dist-packages/gbp/scripts/supercommand.py

execute_after_dh_auto_clean:
	make -C docs/ clean
	find gbp -name __init__.py -printf '%h/__pycache__/\n' | xargs rm -fr

=== debian/tests/control ===
Tests:
 smoke-rpm,
Depends:
 @,
 @builddeps@,
Restrictions:
 allow-stderr,

## git-buildpackage 0.9.39ubuntu1

=== debian/changelog ===
git-buildpackage (0.9.39ubuntu1) resolute; urgency=medium

  * fix: doctests failure with rust-coreutils (LP: #2137580)
    Replace implicit behavior of gnu coreutils true/false in doctest by
    explicit output and exit code.

 -- Simon Poirier <simon.poirier@canonical.com>  Tue, 06 Jan 2026 14:46:49 -0500

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: git-buildpackage
 Section: vcs
 Priority: optional
-Maintainer: Guido Günther <agx@sigxcpu.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Guido Günther <agx@sigxcpu.org>
 Build-Depends:
  debhelper-compat (= 13),
  dh-python,
